Subject: Re: bug#45012: 27.1.50; Emacs 27.1 release archive missing emacs-module.h

From: Philipp Stephani <[email-masked]>
Date: Sun, 24 Jan 2021 20:01:28 +0100

Am Sa., 12. Dez. 2020 um 19:37 Uhr schrieb Eli Zaretskii <[email-masked]>:
>
> > From: Philipp Stephani <[email-masked]>
> > Date: Sat, 12 Dec 2020 15:55:46 +0100
> > Cc: [email-masked]
> >
> > > > Concretely, I'm using emacs-module.h for my Go bindings to the module
> > > > API (https://godoc.org/github.com/phst/emacs). The compilation of the
> > > > library naturally requires emacs-module.h, but not Emacs.
> > >
> > > So you will build the module, but never test it or use it?  Is that a
> > > reasonably practical use case?
> >
> > It depends what "you" is. "You" could be a continuous build system
> > that's capable of compiling C code, but not of running Emacs. That's
> > not far-fetched; compiling C code is far more common than running
> > Emacs, and therefore is better supported by build systems.
>
> There's no need to build Emacs, you only need to configure it to get
> emacs-module.h generated.

Yes, but in practice running configure is more complex than compiling:
compiling only needs a C compiler and a linker, while running
configure also needs a shell and (potentially) other programs like
pkg-config. So not having to run the compile step doesn't help much
here.